IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'[dbo].[CF_SCA_ValidarTipoRechazos]') 
                   and [type] = 'FN')
BEGIN
    DROP FUNCTION dbo.CF_SCA_ValidarTipoRechazos
END
GO

CREATE FUNCTION [dbo].[CF_SCA_ValidarTipoRechazos](@pId_Cliente INT, @pId_Acceso SMALLINT, @pFecha DATETIME)
RETURNS SMALLINT
AS
BEGIN
DECLARE @Id_Tipo_Cli			SMALLINT
DECLARE @Id_Tipo_Cli_Rechazo	SMALLINT

SET @Id_Tipo_Cli_Rechazo	= 0

SET @Id_Tipo_Cli = dbo.SF_Categ(@pId_Cliente, @pFecha)

SET @Id_Tipo_Cli_Rechazo = ISNULL((SELECT Id_Tipo_Cli
								FROM CD_Accesos_Cli_Tipos CACT
								WHERE 
								CACT.Id_Acceso = @pId_Acceso
								AND CACT.Id_Tipo_Cli = @Id_Tipo_Cli
								AND ISNULL(CACT.Flag_Habilitado, 'H') = 'R')
								, 0)

RETURN ISNULL(@Id_Tipo_Cli_Rechazo, 0)

END